/* Copyright (C) 2020-2021 BaseALT Ltd
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <QStandardPaths>

#include "cache.h"
#include "utils.h"

Cache::Cache()
{
    m_commonPath = QStandardPaths::writableLocation(QStandardPaths::GenericCacheLocation) + "/alt-csp-cryptopro/";
}

QString Cache::cachePath()
{
    return m_cacheDir->path();
}

void Cache::createDir()
{
    QDir dir(m_commonPath);
    if (dir.mkpath(m_commonPath))
    {
        if (m_cacheDir)
            m_cacheDir->remove();
        m_cacheDir.reset(new QTemporaryDir(m_commonPath));
    }
}
