/* Copyright (C) 2020-2021 BaseALT Ltd
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef DIALOG_H
#define DIALOG_H

#include <QAbstractButton>
#include <QDialog>

#include "ui_dialog.h"
#include "process.h"

class Dialog : public QDialog
{
    Q_OBJECT
public:
    Dialog(Process *process, QWidget *parent = nullptr);

    void onButtonBoxClicked(QAbstractButton *button);
    void cancelOperation();
    void onReadyReadStandardOutput();
    void onReadyReadStandardError();
    void onPasswordChanged();
    void question();
    void acceptPassword();
    bool cancelled();
    void closeEvent(QCloseEvent *e);

private:
    bool m_cancelled;
    Process *m_process;
    bool m_first;

protected:
    Ui::Dialog *ui;
};

#endif // DIALOG_H
