/* Copyright (C) 2020-2021 BaseALT Ltd
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "headless.h"

#include "process.h"

Headless::Headless(QWidget *parent) : QWidget(parent)
{

}

bool Headless::verify(QStringList args)
{
    QString file = args.at(0);
    QString signature = args.at(1);

    Process *verifyProcess = new Process();
    verifyProcess->verify(file, signature);
    verifyProcess->waitForFinished(-1);
    return verifyProcess->exitCode();
}
