/* Copyright (C) 2020-2021 BaseALT Ltd
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef UTILS_H
#define UTILS_H

#include <QString>

namespace Utils
{
    bool prepareCerts(void);
    QList<QHash<QString, QString>> getCerts();

    bool packageInstalled(QString package);
    bool dirExists(QString path);
    bool fileExists(QString path);
    QString splitDirname(QString path);
    QString splitBasename(QString path);
    QStringList splitext(QString path);
    QString splitextSuffix(QString path);
    QString splitextPrefix(QString path);
    bool packageInstalled(QString pkg);
    QString parseErrorCode(QString line);
    QString insertInfix(QString path, QString infix);
}

#endif //UTILS_H
